Bug Hunting Session
Bug 107314 - Galaxy Icon Set: Inconsistency of icon
Summary: Galaxy Icon Set: Inconsistency of icon
Status: CLOSED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL: https://extensions.libreoffice.org/ex...
Whiteboard:
Keywords:
Depends on:
Blocks: Icon-Theme-Galaxy
  Show dependency treegraph
 
Reported: 2017-04-21 04:09 UTC by catof
Modified: 2018-11-06 02:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description catof 2017-04-21 04:09:57 UTC
In the Galaxy Icon Set
The "Insert image" icon on the standard toolbar is different from the "Insert Picture" icon in the Insert menu
The "Insert" menu icon corresponds to the icon "Open the drawing toolbar"

Thanks
Comment 1 Regina Henschel 2017-04-21 20:20:31 UTC
Yes, there is inconsistency. The large icons are not similar to the small icons.
We have
for "Insert Image" = .uno:InsertGraphic
large is a "beach photo" | small is "group of rectangle, circle, triangle"

for "Show Draw Functions" = .uno:InsertDraw
large is "group of rectangle, circle, triangle" | small is "pen"


The problem was introduced from version 5.1.6 to 5.2.

The large icon of .uno:InsertDraw was changed, but the small one not.

Suggestion: Retrieve the large "Pen"-icon for .uno:InsertDraw from version 5.1.6.


Same problem for the large icon of .uno:InsertGraphic. From version 5.1.6 to 5.2 the large icon was changed from "group of rectangle, circle, triangle" to "beach photo", but the small icon was not changed and is still "group of rectangle, circle, triangle".

The "beach photo" is actually the icon of .uno:GraphicFilterPoster. It is not by itself bad, to use the same icon. Her is bad, that only the large icon was changed. So either make both sizes "beach photo" or both sizes "group of rectangle, circle, triangle". I have no preference for one or the other, because "group of rectangle, circle, triangle" was longer used, but "beach photo" is more suitable for insert image.
Comment 2 QA Administrators 2018-08-01 02:49:57 UTC Comment hidden (obsolete)
Comment 3 Regina Henschel 2018-11-06 02:02:09 UTC
The Galaxy icon theme is no longer maintained and no longer delivered. So I will close this a wontfix. The last version of icon-theme Galaxy is available as extension on https://extensions.libreoffice.org/extensions/galaxy-icon-theme.